Skip to main content
POST
/
applications
/
{applicationId}
/
documents
Create a new onboarding application document
curl --request POST \
  --url https://api.equalsmoney.com/v2/applications/{applicationId}/documents \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: multipart/form-data' \
  --form purpose=PROOF_OF_FORMATION \
  --form file=null
{
  "id": "e9293471-5eb3-4dbc-916c-dbaf9e2deefd",
  "applicationId": "e9293471-5eb3-4dbc-916c-dbaf9e2deefd",
  "purpose": "PROOF_OF_FORMATION",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}

Authorizations

Authorization
string
header
required

Path Parameters

applicationId
string<uuid>
required

The ID of the application to work with.

Maximum string length: 36
Example:

"e9293471-5eb3-4dbc-916c-dbaf9e2deefd"

Body

multipart/form-data

Body

purpose
enum<string>
required
Available options:
PROOF_OF_FORMATION,
PROOF_OF_OWNERSHIP_STRUCTURE,
PROOF_OF_OWNERSHIP,
PROOF_OF_CONTROL_PERSONS,
PROOF_OF_REGISTRATION,
PROOF_OF_FINANCES,
PROOF_OF_FUNDS,
PROOF_OF_IDENTITY,
PROOF_OF_ADDRESS,
PROOF_OF_LIVENESS,
OTHER
file
any

Response

201 - application/json

Created

id
string<uuid>
required

The ID of the document to work with.

Maximum string length: 36
Example:

"e9293471-5eb3-4dbc-916c-dbaf9e2deefd"

applicationId
string<uuid>
required

The ID of the application to work with.

Maximum string length: 36
Example:

"e9293471-5eb3-4dbc-916c-dbaf9e2deefd"

purpose
enum<string>
required
Available options:
PROOF_OF_FORMATION,
PROOF_OF_OWNERSHIP_STRUCTURE,
PROOF_OF_OWNERSHIP,
PROOF_OF_CONTROL_PERSONS,
PROOF_OF_REGISTRATION,
PROOF_OF_FINANCES,
PROOF_OF_FUNDS,
PROOF_OF_IDENTITY,
PROOF_OF_ADDRESS,
PROOF_OF_LIVENESS,
OTHER
createdAt
string<date-time>
required

The date the Resource was initially created. ISO 8601 format without milliseconds.

updatedAt
string<date-time>
required

The date the Resource was last modified. ISO 8601 format without milliseconds.